%global momorel 1
Summary: gnome-netstatus
Name: gnome-netstatus
Version: 2.8.0
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 fadc8a26ff7142e1372740d2edc435b1
URL: http://www.gnome.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libglade-devel >= 2.4.1
BuildPrereq: gnome-panel-devel >= 2.8.2
Prereq: GConf

%description
gnome-netstatus contains an applet which provides information
about a network interface on your panel.
                                                                                
%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
rm -rf %{buildroot}/var/scrollkeeper

for dir in %{buildroot}%{_datadir}/gnome/help/gnome-netstatus/*; do
  cd $dir/figures
  for icon in *.png; do
    rm -f ${icon}
    ln -sf %{_datadir}/icons/hicolor/48x48/apps/${icon} ${icon}
  done
done

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null

%clean
rm -rf %{buildroot}

%Changelog
* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.0-1m)
- version 2.8.0
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.2-1m)
- version 2.6.2

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.6.0.1-2m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0.1-1m)
- version 2.6.0.1
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.13-2m)
- revised spec for enabling rpm 4.2.

* Tue Jan 27 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.13-1m)
- version 0.13

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11-2m)
- s/Copyright:/License:/

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11-1m)
- version 0.11

* Fri Jun 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10-1m)
- version 0.10

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/netstatus.schemas
%{_libdir}/bonobo/servers/GNOME_NetstatusApplet_Factory.server
%{_datadir}/gnome-2.0/ui/GNOME_NetstatusApplet.xml
%{_datadir}/icons/hicolor
%{_datadir}/pixmaps/gnome-netstatus-tx.png
%{_datadir}/gnome-netstatus
%{_libexecdir}/gnome-netstatus-applet
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/gnome-netstatus/*/*
%{_datadir}/omf/gnome-netstatus/*
